<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.base.mapper.BaseClassroomMapper">
    <select id="getJianyueList" resultType="com.xjrsoft.module.schedule.vo.ClassroomJianyuekbVo">
        SELECT t1.name, t1.capacity AS people_count,t2.address AS location, t1.floor_num AS floor, t1.id AS extendId FROM base_classroom t1
        INNER JOIN base_office_build t2 ON t1.office_build_id = t2.id
        WHERE t1.delete_mark = 0 AND t2.delete_mark = 0
    </select>

</mapper>